# Danh sách chiến dịch

* Lấy danh sách chương trình.

## Request

```curl
curl --location 'https://vpage.open.nhanh.vn/v3.0/marketing/fmmcampaignlist?appId={{appId}}&businessId={{businessId}}' \
--header 'Authorization: {{accessToken}}' \
--data '{
    "filters": { },
    "paginator": {
        "size": 50
    }
}'
```

## Response

* Xem cấu trúc chung [tại đây](https://apidocs.nhanh.vn/v3/readme#response).

### Failed response

* Xem các mã lỗi chung [tại đây](https://apidocs.nhanh.vn/v3/readme#failed-response).

### Successful response

```json
{
  "code": 1,
  "paginator": {
    "next": [
      1742545330
    ]
  },
  "data": [
    {
      "id": "ngVCD5oBMexIgwsbAZBW",
      "segmentIds": [
        "p7kJ_JkBLGB-hS0t3fuy",
        "120234366614800373"
      ],
      "createdAt": 1761192575,
      "pageId": "167890463074771",
      "adCampaignId": "120232711406030373",
      "adAccountId": "act_962587495564547",
      "status": 1,
      "budgetType": "daily",
      "budget": 60000,
      "name": "fmm message",
      "adStartAt": 1761411600,
      "adEndAt": 1761929999
    },
    {
      "id": "ngVCD5oBMexIgwsbAZBW",
      "segmentIds": [
        "120234366614800371"
      ],
      "createdAt": 1761192575,
      "pageId": "167890463074771",
      "adCampaignId": "120232711406030373",
      "adAccountId": "act_962587495564547",
      "status": 1,
      "budgetType": "life_time",
      "budget": 100000,
      "name": "fmm notications",
      "adStartAt": 1761411600,
      "adEndAt": 1761929999
    }
  ]
}
```

### staus

| Value | Description     |
| ----- | --------------- |
| 1     | Đã gửi          |
| 2     | Đang gửi        |
| 3     | Mới             |
| 4     | Thất bại        |
| 5     | Chờ gửi         |
| 6     | Không hoạt động |
| 7     | Nháp            |
